---
title: "The Empire"
---
<%
wgtfct = require("naevpedia.lore.faction").init( "Empire" )
%>
<widget wgtfct />

# The Empire

The Empire is the backbone of modern civilization.
Its governmental system is a mixture of a republic and a monarchy, with The Emperor presiding over all other powers of state.
The Emperor delegates some of his power to the Imperial Council, consisting of 20 councilors who pass laws to be carried out by the Imperial bureaucracy which commands the Imperial army and governs the citizens.
However, all the councilors can be overruled by The Emperor.
From The Empire came the Great Houses, and they interact with the Imperial government through their respective liaisons.

## Organization

* **Leader:** The Emperor
* **Leading Structure:** Imperial Council
* **Government:** Republic Monarchy
* **Formation:** [UST 0](lore/history)
* **Homeworld:** Emperor's Wrath (Gamma Polaris system)

## History

The Empire began with the first, self-proclaimed Emperor Daedris who used his forces to do battle with and eventually unite many of the factions at war during the Faction Wars.
His success meant the end of the Faction Wars and started the period now known as the Third Growth.

The following period of peace was a Golden Age of The Empire, with new trade routes bringing wealth and prosperity to Empire worlds, patrols effectively extinguishing piracy and, apart from minor incidents, peace reigning in all of Empire Space.

That Golden Age ended when the Empire began to weaken and succumb to its own bureaucratic tendencies, in turn losing control over some of its territories.
Notably, the [Dvaered](lore/factions/dvaered) Revolts were a clear sign of the Empire's reduced ability to keep law and order.

The Empire suffered catastrophic damage from [the Incident](lore/history/incident).
Many Empire worlds were devastated in the initial blast, and many stations and planets are now caught in the Sol Nebula.
The Empire's power has declined since then and the security that was ensured in the Golden Age has diminished greatly as the Imperial military, once the guardian of much of inhabited space, now finds itself struggling to keep the core systems of the Empire's former territory secure, let alone the sparsely-populated border systems or the vast expanses beyond.

The current Emperor was elected by what remained of the Council shortly after [the Incident](lore/history/incident), and has held power ever since.
They are fairly inexperienced and refuses to acknowledge that the Empire is in decline.
It was they who had the Emperor's Wrath built, and who initiated the Emperor's Fist project, despite the state the rest of his realm is in.
Many believe they will not be Emperor much longer.

## Territory

The Empire still has the largest territorial claim in the galaxy, holding a major part of the inhabited Galaxy centered around Polaris Prime in the Gamma Polaris system, the official seat of The Emperor.
It is there that all important decisions of the Empire are made.
However, the Empire holds outposts deep in hostile space, like Cerberus Outpost in the Doeston system or Zabween Outpost in Draconis.
The core systems, those in the vicinity of Gamma Polaris, are heavily patrolled and kept safe by the Empire military.
However, frequent patrols to the outer systems are a logistical impossibility, and the Empire relies on its allies to keep traders safe there.
Still, skirmishes between Imperial forces and [pirate raiders](lore/factions/pirates) are not uncommon.
It is a major goal of the Empire to restore the security of its territory to levels present prior to [the Incident](lore/history/incident).

## Economy

Civilian traders will not usually be able to trade with the Empire directly, as that trust is only given to individuals or factions enjoying a high reputation with the Empire.
After a recruitment process, individuals can be tasked with running minor shipping assignments.
Otherwise, the Empire holds trading treaties with many important factions, such as the Great Houses or the [Space Traders Society](lore/factions/tradersociety).
The Empire has a policy of interfering as little as possible with the local economy of planets, beyond monitoring that there is no contraband transported to or from them.
Other than that, what commodities companies produce on planets is of no concern to the Empire.

## Science and Technology

Most of the scientific research is conducted by [House Za'lek](lore/factions/zalek), but the Empire still has research bases of its own.
It remains largely unknown to the public what projects the Imperial researchers develop.
Empire engineers in collaboration with [Nexus Shipyards](lore/fabricators) have created the [Peacemaker](ships/empire_peacemaker), a capital ship design which only the most respected among the Empire military are permitted to captain, and which is unequaled in combat by any other know vessel.
These are the flagships of any larger Empire fleets, while local patrols usually consist primarily of [Admonishers](ships/empire_admonisher) and [Lancelots](ships/empire_lancelot).

## Political System

The Emperor is ultimately the seat of all power and has the ability to overrule anyone, but a lone man cannot single-handedly govern an entity the size of the Empire at any meaningfully low level.
As such, the Imperial Council sits directly below the Emperor, regulating and passing laws to ensure the Empire's continued existence.
To be a councilor is a highly sought-after position, as upon the Emperor's death, the new Emperor is selected from their ranks.

### The Imperial Bureaucracy

The council does not oversee the laws being carried out, that task falls to the Imperial bureaucracy.
It is the largest part of the Empire administration besides the military.
Enforcing the large number of laws passed by generations of councils word for word is impossible.
Therefore, most members of the bureaucracy follow what they in their best judgment believe to be the idea behind the laws.
But even that task is becoming ever more difficult and social progress has been observed to become slower in recent years.
The bureaucracy is also the only organ of the state the people interact with directly.
Requests for audiences with the council or similar may be directed at the bureaucracy, though they are seldom granted and some have been known to simply disappear within the immense, monolithic complexity of the bureaucracy.

Finally, it is the bureaucracy's task to manage the Empire military, which it does with some success.
The Emperor and the Council place great value on the defense of their borders and the bureaucracy must ensure that those wishes are carried out.
The military works quite well on their own and usually requires little oversight.
The Generals and Commanders of the army are known to work with great efficiency, thus, the military is often called the most efficient part of the Empire administration.

### The Great Houses

The Houses are still bound to the Empire via contracts but are effectively factions of their own with their own government and economy.
They interact with the Imperial countries via Liaisons, chosen representatives of the Houses' governments.
When the Emperor has a particular request to one of the houses, the Council passes his decree on to the responsible Liaison, who in turn passes it on to his superiors.
This is by no means a binding contract or even an order.
Today, the Houses are not required to follow the Emperor's orders and may decide for themselves whether to grant the Emperor's request.

The Great Houses interact with the Imperial Council through liaisons, who represent the "vassals of the Empire".
Whenever the Emperor requires one or more of the Great Houses to do his bidding, the Council will pass on the Imperial Decree to the relevant liaisons, who in turn convey the message to their respective leaders.
This is often only a courtesy however, as the Great Houses are no longer bound to the core of the Empire beyond ancient treaties and vows of allegiance.
Typically, a Great House will put on a token show of loyalty, and subsequently ignore the Emperor's will to pursue its own agenda.

### Minor Houses

Next to the Great Houses, some Minor Houses exist, as well.
The status of a Minor House is given for various reasons like an achievement or as is the case with the [House Goddard](lore/factions/goddard), in return for a service.
