---
title: "Launchers"
---
# Launchers

Launcher weapons differ from bolt and beam weapons by needing ammunition to function.
They come in made different shapes and sizes, from slow and devastating seek torpedoes, to fast and agile dumbfire rockets.
Like other outfits they can be equipped using [weapon sets](mechanics/weaponsets) and will be set to primary or secondary groups by default.

## Types

Launchers are roughly divided into three categories:
1. **Torpedoes** are slow and devastating and are able to significantly damage even the largest of ships, however, they do not pose a threat to ships with mobility.
2. **Missiles** are fast and agile, meant for targetting smaller ships.
3. **Dumbfires** have no tracking ability, however, they usually pack a higher payload than other weapons of the same size.

## Ammunition

Unlike other weapons, launchers use ammunition.
They have a maximum amount of ammunition that they can hold, and will slowly regenerate ammunition over time.
Ammunition can be fully regenerated by performing an active [cooldown](mechanics/heat) and is also regenerated when landing.

## Lock-On and Calibration

Seeking launchers have both a **Lock-On** and **In-flight Calibration** time.
**Lock-On** refers to how long it takes to obtain a lock on your current target, and takes an amount of time based on the launcher itself, and the [signature](mechanics/ewarfare) of your target.
Until the launchers gets a lock-on, you will not be able to fire it.
The lock-on status can be seen by an icon on the weapon in the GUI and will turn into a cross-hair when locked on.

**In-flight Calibration** refers to the time it takes for the launched munition to start tracking the target.
A circle will slowly appear around the launched munition when it begins in-flight calibration.
When it starts tracking, the circle will disappear and the munition will begin accelerating and turning towards its target.
Note that even when not calibrated, the munition will be able to hit its target.

## Jamming

Each seeking launcher can have **Jam Resistance** allowing it to avoid being jammed by the target it is tracking.
If the target has **Jamming**, once the munition is in the target's [signature range](mechanics/ewarfare), it will either get jammed or not.
The chance of getting jammed is `Jamming - Jam Resistance`.
If the munition is jammed, it can be affected by one of the following effects:
1. **Slowed:** the munition will move up to half as fast but still track.
2. **Guidance Jammed:** the munition will either go straight forward or endlessly loop either to the left or right.
3. **Self-Destruct:** the munition will blow up.

## Point Defense

Some launcher munitions are susceptible to point defense weapons and will have **Armour** and **Absorption** stats like ships.
Point defense systems will be able to damage these munitions, and they will explode if they take a total of damage over the amount of armour they have.
See [damage](mechanics/damage) for how the damage is computed.
