---
title: "Mining"
---
# Mining

Many valuable resources are hidden in the asteroids that can be found across space.
While it is possible to just blow up asteroids with standard weapons, this gives low yields and does not allow extracting fragile resources.
In order to obtain the most out of mining, it is necessary to be prepared and use outfits specialized for mining.

## Finding Asteroids

Asteroids can be found throughout space.
While asteroids near heavily civilized areas are easier to access, they tend to be over-mined and have fewer rare resources remaining.
On the other hand, asteroid fields in forgotten or dangerous areas tend to have higher yields.
It is important to scout out the asteroid field first to see what resources can be available.

## Asteroid Rarity

Each asteroid field will have its own distribution of asteroids which can be of three different levels of rarity:
1. **Common**: These asteroids contain not very valuable minerals such as iron or nickel.
1. **Uncommon**: These contain more valuable minerals such as gold or platinum.
1. **Rare**: Hard to find but contain very expensive and rare minerals that fetch high prices on the market and are widely sought out.

## Mining Outfits

Outfits play a critical role in mining.
Although normal weapons can be used, they tend to be too destructive to effectively mine.
There are two major groups of mining gear: mining beams, and mining drills.

The outfits have several important properties:
* **Mining Bonus**: Multiplies the yield obtained by mining, but does not change the type of mineral being mined.
* **Asteroid Scanner Range**: Defines the range at which asteroids will be scanned for their contents. Asteroids are classified into either "common", "uncommon", or "rare" depending on what they can contain.
* **Ability to mine uncommon and rare minerals**: Normal weapons are only able to mine common minerals. On the other hand, specialized weapons and outfits can mine uncommon and even rare minerals from asteroids.

### Mining Beams

Mining beams are specialized in destroying asteroids.
They tend to have high penetration and low range, but allow obtaining larger yields and rarer minerals.

### Mining Drills

Mining drills are utility outfits that can be activated near a selected asteroid to efficiently extract minerals.
They require precise manual control but have the highest yields and success rates of the mining outfits.
