# Great House Sirius

The House Sirius is one of the major factions in Naev.

## The Facts

* Leader: Sirichana
* Leading Structure: Tribunal of Arch-Canters
* Government: Constitutional Theocracy
* Formation: UST 97
* Homeworld: Mutris (Ruadan system)
* Important Figures:
    * Sirichana

## Social Structure

House Sirius is defined by its state religion more than anything else. Its citizens all follow the same faith, and this faith is central to most of the goings-on in Sirius space. This is not to say every Sirius citizen is a religious fanatic; the Sirius have a healthy intellectual elite, including scientists and philosophers. However, faith is always the point of reference. To the Sirii, faith is what air is to other people. You don't see it, you don't pay attention to it, you often don't even think about it. But without it, you can not live.

The population of House Sirius is divided in three "echelons". They are the Shaira, the Fyrra and the Serra. Each echelon has its own specific rituals and rules of conduct, though all share the same basic values and beliefs. Any Sirius citizen may move up through the echelons through effort and skill, but on the whole most Sirii are locked in their social status.

The Shaira echelon is essentially the lower class. Shaira Sirii perform manual labour where it is needed, and in the Sirius Armed Forces they make up the common soldiers and the ship crewmen. They don't have much in life, but then their faith is all they really need. The Fyrra echelon are the middle class. Where the Shaira Sirii power the Sirius economy, the Fyrra drive it. Most of the commercial and social infrastructure is manned by the Fyrra, and as a result the Fyrra are the most visible of all Sirii. In the Sirius Armed Forces, the Fyrra are represented by the engineers and technical workers, and even some of the lower ranking officers. Finally, the Serra are elite Sirii. They are often wealthy and highly educated, and so are found at the top of society. Naturally, military academies are attended almost exclusively by Serra Sirii, which means the Serra also form the top of the Sirius Armed Forces.

The Echelons are each led by a dedicated low-level theocratic government. Its clerks range from minor executive acolytes to high priests, who are responsible for justice and security. At the head of each government stands an Arch-Canter, a zealot who can be considered the head of state for his particular echelon. The three Arch Canters combined form the political government of House Sirius, and it is they who deal with any outside influence, including the Empire.

But higher still, at the pinnacle of House Sirius, stands Sirichana.

## Sirichana

Sirichana, loosely translated "lord of the Sirii", is the focus of Sirius worship. Unlike more traditional religions, the Sirii do not worship an abstract, omnipresent God. Sirichana is a man. This man was originally an early-era colonist by the name of Richard Summers, though that name has all but faded in history. Since that time there have been many Sirichanas, but all are assumed to be reincarnations of the original Sirichana, and so distinction is never made other than in a historical context.

As legend has it, Sirichana led the first of his followers through the times of conflict following the collapse of the old Federation. In a time where nobody could count on waking up alive tomorrow, Sirichana guided those who would listen on a path of relative safety, always correctly predicting where the next strike would come, always one step ahead of the violence of war. When eventually the Empire came to control most of known space, Sirichana and his flock settled down on a planet called Mutris, a charred husk no-one claimed after the wars. And there Sirichana would remain. He is there still.

Sirichana's influence grew, and more and more came to believe in his wisdom and protection. His followers spread through the galaxy, gaining root on many worlds around Mutris. So great was their conviction that planet after planet began to slip from the Emperor's grasp, its inhabitants preferring to follow their faith than the Emperor's will. Eventually, the situation became such that it forced the hand of the 7th Emperor. The Emperor knew that he was no longer in control of the worlds following Sirichana, but to re-assert authority through force of arms on that scale would set a precedent unheard of since the end of the Faction Wars. And so he chose to grant Sirichana a Great House of his own, House Sirius, on the conditions that Sirichana would not attempt to spread his religion beyond the worlds that would be rightfully his, and that Imperial Decrees would carry the force of law among his people. Sirichana agreed, knowing that refusal would give the Emperor the justification he needed to start an all out war. And so matters would remain for a very long time.

One may wonder how Sirichana could inspire faith in so many souls, spread over so many worlds. After all, it is difficult to believe in a man who resides on a planet far from one's home. In point of fact, there is a good reason why people believe as strongly as they do.

## The Touched

It begins anywhere in Sirius space, on any world, in any echelon. There are some who feel the call, the irresistible urge to come forth. Those individuals leave their homes, sell their possessions and embark on a pilgrimage to Mutris. Those who can't afford the fare right away will raise the money through intensive labor until they can, or die trying. Once on Mutris, the pilgrims will flock to Crater City, the holy city of the Sirii and the seat of Sirichana himself.

Crater City is indeed built in a massive crater, a legacy left by the forces that once rendered Mutris sterile during the Faction Wars. Streets and houses now cover its slopes, and in its center stands a tall, tall spire, the Tower of Sirichana. There is not a major road, not a square in Crater City that does not have a direct view on the Tower. To this place the pilgrims come, and here they will reside, moving in to a suitable empty home and taking up whatever tasks need doing. They live in Crater City with their fellow pilgrims, sometimes for cycles on end. Nobody knows how long they will stay in Crater City, only that they have come for one thing.

And then it happens. The one thing all the pilgrims have waited for. From the top of his Tower, Sirichana speaks to them. All who live in Crater City leave whatever they're doing and stand in the streets to hear his words. There are no records of this event, so nobody knows how long it lasts or what he says to them. But when he finishes speaking, his listeners are no longer the pilgrims they were before. They are now the Touched, those who carry a fragment of Sirichana's will within themselves.

The Touched then leave Crater City, abandoning it completely, leaving its houses, its tools, its resources behind for those pilgrims who will be coming. They journey forth across Sirius space, and preach Sirichana's word to the echelons. And all who listen, all who look into the eyes of a Touched are themselves overcome. So strong is the experience that their faith becomes deeply ingrained into their very souls.

## House Sirius: Present day

With the Incident in recent history and the Empire on the decline, House Sirius seems poised to abandon its ancient vows and claim dominance over the galaxy. But curiously, this does not seem to be happening as of yet. Indeed, House Sirius seems to be brooding, turned inwards on itself. The Touched still roam Sirius space, but their numbers are dwindling. The Armed Forces remain effective in thwarting the jealous attempts by House Dvaered to annex some of their world, but even they seem less resolute than they once were. Did whatever caused the Incident also shatter the Sirii's spirits? Or is there something else afoot? At present, nobody knows...

## In-Game Database

The following article is written from an **in-universe** perspective. It may contain biased information or omit facts for dramatic purposes.

### The Nasin

While one would think that all of House Sirius flies under a single banner, this is not true. Just as with most other religions, as House Sirius grew, disagreements in theology or societal structure arose, creating conflict. The largest of the Sirian denominations is the Nasin.

While not officially recognized by the Sirian government - which reports that even Sirichana himself condemns all splinter factions - the Nasin first began showing up on The Wringer, in Suna, around UST 582. In very little time, it had spread to several outlying Sirius systems. No one is actually sure who started the splinter group, but most credit it to the figure Jan Jusi Nikoso; he disappeared shortly after the creation of the Nasin (most likely due to the Sirius Government), so this cannot be verified.

Initially peaceful, the Nasin spread a message conveying that one does not need the Serra or the Touched to worship Sirichana, but rather one could explore their own faith aided by none save Sirichana. They encouraged their converts to follow themselves, guide themselves, and do away with the class system as much as society would allow. They largely met in the homes of volunteers, and did not have a central leader to follow.

After several cycles of peacefully meeting and quietly growing, a man named Theodore Marxus rose to power among the Nasin. After forming his own house church - which rapidly outgrew his small space - he banded together several house churches and built a cathedral in a desolate stretch on his home planet. It quickly became a place of pilgrimage, with Nasin members flocking to it. They quickly overtook the planet, causing the Serra to begin seriously taking notice.

On UST 593, 11 cycles after its inception, the Serra ordered a military strike on the new home planet of the Nasin. The military swooped in, killing all known and professing Nasin, and razed the cathedral to the ground. A subsequent proclamation was spread throughout the Sirian systems: All those not following the Serra were not following Sirichana, and will be labelled heretics and dispensed with. The Nasin were thrown into disarray, but unbeknownst to the Serra, Theodore Marxus and several others had escaped the conflict, vowing to repay House Sirius for its wrongdoing.
